SubscriptionsUpdate subscription
Subscriptions

Update subscription

Updates the subscription for a specific tenant.

curl -X PATCH "https://api.neostra.io/api/v1/subscription/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "planId": "example_string",
  "billingCycle": "MONTHLY"
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
PATCH
/api/v1/subscription/{tenantId}
PATCH
Bearer Token (JWT)
Bearer Tokenstring
Required

JWT bearer token for authentication

JWT bearer token for authentication
path
tenantIdstring
Required

The tenant identifier

Content-Typestring
Required

The media type of the request body

Options: application/json
planIdstring
Required

The subscription plan identifier

billingCyclestring

Billing cycle

Options: MONTHLY, ANNUAL
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT bearer token for authentication

Path Parameters

tenantIdstring
Required

The tenant identifier

Body

application/json
planIdstring
Required

The subscription plan identifier

billingCyclestring

Billing cycle

Allowed values:MONTHLYANNUAL

Responses

statusinteger

HTTP status code

messagestring

Response message

dataobject

Response payload

errorsstring[]

List of error details, if any